interface WtInlineAddPanel {
    disabledAddAction?: boolean;
    direction?: 'row' | 'column';
}
declare var __VLS_1: {};
type __VLS_Slots = {} & {
    default?: (props: typeof __VLS_1) => any;
};
declare const __VLS_base: import("vue").DefineComponent<WtInlineAddPanel, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    submit: (...args: any[]) => void;
    reset: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<WtInlineAddPanel> & Readonly<{
    onSubmit?: (...args: any[]) => any;
    onReset?: (...args: any[]) => any;
}>, {
    disabledAddAction: boolean;
    direction: "row" | "column";
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
declare const __VLS_export: __VLS_WithSlots<typeof __VLS_base, __VLS_Slots>;
declare const _default: typeof __VLS_export;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
